apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "172.31.3.254"
          ],
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "172.31.3.254"
          ],
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: privileged
    scheduler.alpha.kubernetes.io/critical-pod: ""
  creationTimestamp: "2022-11-04T13:54:55Z"
  generateName: collector-
  labels:
    component: collector
    controller-revision-hash: 6d4796b65d
    logging-infra: collector
    pod-template-generation: "1"
    provider: openshift
  name: collector-c98gz
  namespace: openshift-logging
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: DaemonSet
    name: collector
    uid: 57f5f8d0-9fac-4bf8-926e-56a886cfd743
  resourceVersion: "226799030"
  uid: fc358f86-4f35-4757-b4a2-0a7e76703a75
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchFields:
          - key: metadata.name
            operator: In
            values:
            - ip-10-128-40-211.ca-central-1.compute.internal
  containers:
  - env:
    - name: COLLECTOR_CONF_HASH
      value: 35f059dbce65323a6a416c18a0678a31
    - name: TRUSTED_CA_HASH
      value: 68a93442499b614f7648c13fb14f0e32
    - name: K8S_NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    - name: NODE_IPV4
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: status.hostIP
    - name: POD_IP
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: status.podIP
    - name: NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    - name: RUBY_GC_HEAP_OLDOBJECT_LIMIT_FACTOR
      value: "0.9"
    image: registry.redhat.io/openshift-logging/fluentd-rhel8@sha256:1a23efeefb92bd089c13a24fb8d91e60d4ee4426c2d894de9dd8f34e6cbffbbd
    imagePullPolicy: IfNotPresent
    name: collector
    ports:
    - containerPort: 24231
      name: metrics
      protocol: TCP
    resources:
      limits:
        memory: 736Mi
      requests:
        cpu: 100m
        memory: 736Mi
    securityContext:
      allowPrivilegeEscalation: false
      readOnlyRootFilesystem: true
      seLinuxOptions:
        type: spc_t
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/log/containers
      name: varlogcontainers
      readOnly: true
    - mountPath: /var/log/pods
      name: varlogpods
      readOnly: true
    - mountPath: /var/log/journal
      name: varlogjournal
      readOnly: true
    - mountPath: /var/log/audit
      name: varlogaudit
      readOnly: true
    - mountPath: /var/log/ovn
      name: varlogovn
      readOnly: true
    - mountPath: /var/log/oauth-apiserver
      name: varlogoauthapiserver
      readOnly: true
    - mountPath: /var/log/openshift-apiserver
      name: varlogopenshiftapiserver
      readOnly: true
    - mountPath: /var/log/kube-apiserver
      name: varlogkubeapiserver
      readOnly: true
    - mountPath: /etc/localtime
      name: localtime
      readOnly: true
    - mountPath: /etc/collector/metrics
      name: collector-metrics
      readOnly: true
    - mountPath: /tmp
      name: tmp
    - mountPath: /var/run/ocp-collector/secrets/cloudwatch-credentials
      name: cloudwatch-credentials
      readOnly: true
    - mountPath: /etc/pki/ca-trust/extracted/pem/
      name: collector-trusted-ca-bundle
      readOnly: true
    - mountPath: /etc/fluent/keys
      name: certs
      readOnly: true
    - mountPath: /etc/fluent/configs.d/user
      name: config
      readOnly: true
    - mountPath: /var/lib/fluentd
      name: datadir
    - mountPath: /opt/app-root/src/run.sh
      name: entrypoint
      readOnly: true
      subPath: run.sh
    - mountPath: /var/run/secrets/openshift/serviceaccount
      name: collector-sts-token
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-lxw9s
      readOnly: true
  - args:
    - -c
    - /usr/local/bin/log-file-metric-exporter -verbosity=2 -dir=/var/log/pods -http=:2112
      -keyFile=/etc/collector/metrics/tls.key -crtFile=/etc/collector/metrics/tls.crt
    command:
    - /bin/bash
    image: registry.redhat.io/openshift-logging/log-file-metric-exporter-rhel8@sha256:dda796dc8209bf5028412d40f34d3c3da39ec77c6a5749c7aaeb0473bb42b7b2
    imagePullPolicy: IfNotPresent
    name: logfilesmetricexporter
    ports:
    - containerPort: 2112
      name: logfile-metrics
      protocol: TCP
    resources: {}
    securityContext:
      allowPrivilegeEscalation: false
      readOnlyRootFilesystem: true
      seLinuxOptions:
        type: spc_t
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/log/containers
      name: varlogcontainers
      readOnly: true
    - mountPath: /var/log/pods
      name: varlogpods
      readOnly: true
    - mountPath: /etc/collector/metrics
      name: collector-metrics
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-lxw9s
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: logcollector-dockercfg-8hnhg
  nodeName: ip-10-128-40-211.ca-central-1.compute.internal
  nodeSelector:
    kubernetes.io/os: linux
  preemptionPolicy: PreemptLowerPriority
  priority: 1000000
  priorityClassName: cluster-logging
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: logcollector
  serviceAccountName: logcollector
  terminationGracePeriodSeconds: 10
  tolerations:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/disk-pressure
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/pid-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/unschedulable
    operator: Exists
  volumes:
  - hostPath:
      path: /var/log/containers
      type: ""
    name: varlogcontainers
  - hostPath:
      path: /var/log/pods
      type: ""
    name: varlogpods
  - hostPath:
      path: /var/log/journal
      type: ""
    name: varlogjournal
  - hostPath:
      path: /var/log/audit
      type: ""
    name: varlogaudit
  - hostPath:
      path: /var/log/ovn
      type: ""
    name: varlogovn
  - hostPath:
      path: /var/log/oauth-apiserver
      type: ""
    name: varlogoauthapiserver
  - hostPath:
      path: /var/log/openshift-apiserver
      type: ""
    name: varlogopenshiftapiserver
  - hostPath:
      path: /var/log/kube-apiserver
      type: ""
    name: varlogkubeapiserver
  - hostPath:
      path: /etc/localtime
      type: ""
    name: localtime
  - name: collector-metrics
    secret:
      defaultMode: 420
      secretName: collector-metrics
  - emptyDir:
      medium: Memory
    name: tmp
  - name: cloudwatch-credentials
    secret:
      defaultMode: 420
      secretName: cloudwatch-credentials
  - configMap:
      defaultMode: 420
      items:
      - key: ca-bundle.crt
        path: tls-ca-bundle.pem
      name: collector-trusted-ca-bundle
    name: collector-trusted-ca-bundle
  - name: certs
    secret:
      defaultMode: 420
      optional: true
      secretName: collector
  - configMap:
      defaultMode: 420
      name: collector
    name: config
  - hostPath:
      path: /var/lib/fluentd
      type: ""
    name: datadir
  - configMap:
      defaultMode: 420
      name: collector
    name: entrypoint
  - name: collector-sts-token
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          audience: openshift
          expirationSeconds: 3600
          path: token
  - name: kube-api-access-lxw9s
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2022-11-04T13:54:55Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2022-11-04T13:54:58Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2022-11-04T13:54:58Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2022-11-04T13:54:55Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://db6a8315dbec71fdf7d935fa1c356b9df0f6905d6d43522885069e944fecd765
    image: registry.redhat.io/openshift-logging/fluentd-rhel8@sha256:1a23efeefb92bd089c13a24fb8d91e60d4ee4426c2d894de9dd8f34e6cbffbbd
    imageID: registry.redhat.io/openshift-logging/fluentd-rhel8@sha256:1a0398602227338b917cc1f134fd143eadb99c1c334317ad4bde4ee4840d136f
    lastState: {}
    name: collector
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2022-11-04T13:54:57Z"
  - containerID: cri-o://a0e236b53c4be8a120abd7c00323ffd9da535d027a97c119d75ac7248ae75c22
    image: registry.redhat.io/openshift-logging/log-file-metric-exporter-rhel8@sha256:dda796dc8209bf5028412d40f34d3c3da39ec77c6a5749c7aaeb0473bb42b7b2
    imageID: registry.redhat.io/openshift-logging/log-file-metric-exporter-rhel8@sha256:6b70b74ab504a03d1ef7645e6a78f704f525783d2a894707b20facdbfa73172b
    lastState: {}
    name: logfilesmetricexporter
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2022-11-04T13:54:58Z"
  hostIP: 10.128.40.211
  phase: Running
  podIP: 172.31.3.254
  podIPs:
  - ip: 172.31.3.254
  qosClass: Burstable
  startTime: "2022-11-04T13:54:55Z"
